Package: org.grails.encoder

## [Java] Interface EncodedAppenderWriterFactory

-     public interface EncodedAppenderWriterFactory

  This interface marks an instance capable of getting a EncodedAppenderWriter instance that is connected to it with a certain encoder fixed.

  Authors:
    Lari Hotari
  Since:
    2.3

- - ### Methods Summary

    Methods
    Type Params | Return Type | Name and description
    --- | --- | ---
    `` | `public java.io.Writer` | `getWriterForEncoder(Encoder encoder, EncodingStateRegistry encodingStateRegistry)` Gets the EncodedAppenderWriter instance that is connected to this instance implementation with a certain encoder fixed.

- - ### Method Detail

    - #### public java.io.Writer getWriterForEncoder(Encoder encoder, EncodingStateRegistry encodingStateRegistry)

      Gets the EncodedAppenderWriter instance that is connected to this instance implementation with a certain encoder fixed.

      Parameters:
        `encoder` - the encoder to use
        `encodingStateRegistry` - the current EncodingStateRegistry to use
      Returns:
        the java.io.Writer instance